package com.infoepoch.pms.agent.domain.baisc.user;

import com.infoepoch.pms.agent.common.utils.enums.EnumBase;

/**
 * 用户职位枚举
 * @author jiangyz
 * @date 2025/3/17 15:45
 */
public enum UserPosition implements EnumBase {
    GENERAL(1, "总经理", "公司领导"),
    VICEGENERAL(2, "副总经理", "公司领导"),
    DEPARTMENT(3, "部门经理", "部门领导"),
    VICEDEPARTMENT(4, "部门副经理", "部门领导"),
    CENTRE(5, "中心经理", "中心经理"),
    VICECENTRE(6, "中心副经理", "中心经理"),
    STAFF(7, "职员", "员工");

    private int value;
    private String text;
    /**
     * 业务名称
     */
    private String businessName;

    @Override
    public int getValue() { return value; }

    @Override
    public String getText() { return text; }

    public String getBusinessName() {
        return businessName;
    }

    UserPosition(int value, String name, String businessName) {
        this.value = value;
        this.text = name;
        this.businessName = businessName;
    }
}
